#  Copyright (C) 2020, 2019 Prince Rashid
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
# 
''' @author: prince '''

choice = 'y'
shapes = {'1':'line', '2': 'angle', '3': 'triangle', '4': ['square', 'rectangle', 'rhombus', 'trapezoid', 'trapezium', 'quadrilateral', 'parallelogram'],
          '5': 'pentagon', '6': 'hexagon', '7': ['septagon', 'heptagon'], '8': 'octagon', '9': 'nonagon', '10': 'decagon',
          '11': ['hendecagon', 'undecagon', 'endecagon'], '12': 'dodecagon'}
while choice in ['y', 'Y', 'yes', 'Yes']:
    n = input("enter a shape. I'll tell you how many sides it has. Enter here: ")
    n = n.lower()
    for side, shapeName in shapes.items():
        if n in shapeName:
            print(side)
            found = True
            break
        else:
            found = False

    if found == False:
        print("I don't know that shape, you smart person.")    
    
    choice = input("do you want to continue? (y/n): ")
